## NAME

CURLOPT_CLOSESOCKETDATA - pointer passed to the socket close callback

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CLOSESOCKETDATA, void *pointer);

## DESCRIPTION

Pass a pointer that will be untouched by libcurl and passed as the first argument in the closesocket callback set with CURLOPT_CLOSESOCKETFUNCTION.

## DEFAULT

The default value of this parameter is NULL.

## PROTOCOLS

All except file:

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.21.7

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_CLOSESOCKETFUNCTION, CURLOPT_OPENSOCKETFUNCTION

This HTML page was made with roffit.